<?php
// Fetch the profile blocks we need
require_once(DIR . '/dbtech/vbshop/includes/class_profileblock.php');

if ($vbulletin->options['dbtech_vbshop_enableprofileblock'])
{
	$blocklist['vbshop'] = array(
		'class' => 'vBShop',
		'title' => $vbphrase['dbtech_vbshop_vbshop'],
		'options' => array(
			'numachievements' => $vbulletin->options['dbtech_vbshop_numachievements'],
			'nummedals' => $vbulletin->options['dbtech_vbshop_nummedals'],
		),
		'hook_location' => (intval($vbulletin->versionnumber) == 3 ? 'profile_left_last' : 'profile_tabs_last')
	);

	$show['vb4compat'] = version_compare($vbulletin->versionnumber, '4.0.8', '>=');
	$headinclude .= vB_Template::create('dbtech_vbshop_member_css')->render();
}

/*DBTECH_PRO_START*/
$blocklist['vbshop_profilemusic'] = array(
	'class' => 'vBShop_ProfileMusic',
	'title' => $vbphrase['dbtech_vbshop_music_player'],
	'hook_location' => (intval($vbulletin->versionnumber) == 3 ? 'profile_right_mini' : 'profile_sidebar_stats')
);
/*DBTECH_PRO_END*/
?>